#include "deftype.h"

void rev_waku2(sx,sy,ex,ey,plane)
/* 枠リバース描画２ */
int sx,sy,ex,ey; /* グラフィック座標 */
int plane;	 /* 描画プレーン */
{
unint c;
	c=curmode(0);	/* cursor off */
	txrev(plane,sx,sy,ex-sx+1,1);	/* 上横 */
	txrev(plane,sx,ey,ex-sx+1,1);	/* 下横 */
	txrev(plane,sx,sy,1,ey-sy+1);	/* 左縦 */
	txrev(plane,ex,sy,1,ey-sy+1);	/* 右縦 */
	curmode(c);	/* cursor on */
}
